Skip to main content
POST
Configurar webhook

Authorizations

Authorization
string
header
required

JWT obtido em POST /api/auth/token

Body

application/json
url
string<uri>
required

URL HTTPS que receberá os webhooks

Example:

"https://example.com/webhooks/mx"

events
enum<string>[]
required

Um webhook assina exatamente UM evento. O campo é um array por compatibilidade de contrato, mas deve conter um único item. Use all (Geral) para receber todos os eventos em uma única URL.

Required array length: 1 element
Available options:
cash_in,
cash_out,
refund_in,
refund_out,
internal_transfer,
all
Example:
secret
string

Secret HMAC para assinatura. Se omitido, o NTX Pay gera automaticamente.

Required string length: 8 - 128
Example:

"whsec_abc123"

Response

Webhook configurado

id
integer
Example:

42

url
string
Example:

"https://example.com/webhooks/mx"

events
string[]
Example:
isActive
boolean
Example:

true

secret
string

Secret gerado pelo NTX Pay — exibido apenas na criação. Guarde com segurança.

Example:

"whsec_abc123"